import {createTimeline} from "../../sections/timeline/TimelineComponent";
import {createElement} from "../../_global/scripts/helpers";
import {createFooter} from "../../components/footer/FooterComponent";
import {createHeader} from "../../components/header/HeaderComponent";

export const createTimelinePage = ({

}) => {
  const page = createElement('div', ['page']);
  const header = createHeader({});
  const wrapper = createElement('div', ['page-wrapper'], null, page);
  const main = createElement('main', ['page-content'], null, wrapper);
  const footer = createFooter({});

  main.appendChild(createTimeline({}));

  page.insertBefore(header, wrapper);
  page.appendChild(footer);

  return page;
}